org.apache.cassandra.metrics

## Class FileCacheMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.FileCacheMetrics

-     public class FileCacheMetrics
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `com.codahale.metrics.Gauge<java.lang.Double>` | `hitRate` hit rate
    `com.codahale.metrics.Meter` | `hits` Total number of hits
    `com.codahale.metrics.Meter` | `requests` Total number of requests
    `com.codahale.metrics.Gauge<java.lang.Long>` | `size` Total size of file cache, in bytes

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileCacheMetrics()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### hits

          public final com.codahale.metrics.Meter hits

      Total number of hits

    - #### requests

          public final com.codahale.metrics.Meter requests

      Total number of requests

    - #### hitRate

          public final com.codahale.metrics.Gauge<java.lang.Double> hitRate

      hit rate

    - #### size

          public final com.codahale.metrics.Gauge<java.lang.Long> size

      Total size of file cache, in bytes

  - ### Constructor Detail

    - #### FileCacheMetrics

          public FileCacheMetrics()

Copyright © 2018 The Apache Software Foundation